package io.renren.modules.app.service;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.HKmEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XmEntity;
import io.renren.modules.app.entity.XmEntity2;
import io.renren.modules.app.entity.XqxxEntity;
import io.renren.modules.app.entity.YwpzEntity;

import java.util.List;


/**
 * 楼盘信息（开发项目）
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-26 09:38:36
 */
public interface XmService extends IService<XmEntity> {

    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param xmEntity
     * @return
     */
    PageInfo<XmEntity2> queryByPage(Integer pageNum, Integer pageSize, XmEntity xmEntity);


    /**
    * 单个或批量删除
    * @param ids
    */
    void deleteBatch(String[] ids);
    
    //左上角小区名称下拉框数据展示
    List<XqxxEntity> selectxqmc();
    
    //归集，单位，小区下拉框数据展现
    List<XlkEntity> selectxlk(String id);
    
    //新增
    void insertXm(XmEntity xmEntity);
    String queryxmbm();
    
    XmEntity maxkmbm();
    void insertkm(HKmEntity hKmEntity);
    
    void insertfzhsye(YwpzEntity ywpzEntity);
    
    void deletefzhsyexmbm(String id);
    
    String selectmaxkjqj();
    
    String selectmaxkjqj2();
}

